Class | Chef::ReservedNames::Win32::Version
In: | lib/chef/win32/version.rb
Parent: | Object

### Methods

new

### Included Modules

Chef::ReservedNames::Win32::API::Macros Chef::ReservedNames::Win32::API::System

### Constants

WIN_VERSIONS

=

{ "Windows 7" => {:major => 6, :minor => 1, :callable => lambda{ @product_type == VER_NT_WORKSTATION }}, "Windows Server 2008 R2" => {:major => 6, :minor => 1, :callable => lambda{ @product_type != VER_NT_WORKSTATION }}, "Windows Server 2008" => {:major => 6, :minor => 0, :callable => lambda{ @product_type != VER_NT_WORKSTATION }}, "Windows Vista" => {:major => 6, :minor => 0, :callable => lambda{ @product_type == VER_NT_WORKSTATION }}, "Windows Server 2003 R2" => {:major => 5, :minor => 2, :callable => lambda{ get_system_metrics(SM_SERVERR2) != 0 }}, "Windows Home Server" => {:major => 5, :minor => 2, :callable => lambda{ (@suite_mask & VER_SUITE_WH_SERVER) == VER_SUITE_WH_SERVER }}, "Windows Server 2003" => {:major => 5, :minor => 2, :callable => lambda{ get_system_metrics(SM_SERVERR2) == 0 }}, "Windows XP" => {:major => 5, :minor => 1}, "Windows 2000" => {:major => 5, :minor => 0}

Ruby implementation of msdn.microsoft.com/en-us/library/ms724833(v=vs.85).aspx msdn.microsoft.com/en-us/library/ms724358(v=vs.85).aspx

### Public Class methods

new()

[Validate]